﻿using Microsoft.AspNetCore.DataProtection.KeyManagement;
using System;

namespace WF_WebAdmin.Converter
{
    public class QuoteDTO
    {
        public int Id { get; set; }
        public string Content { get; set; }
        public int Likes { get; set; }
        public string Langue { get; set; }
        public bool IsValide { get; set; }
        public string? Reason { get; set; }
        public int? IdCaracter { get; set; }
        public string NameCharac { get; set; }
        public int? IdSource { get; set; }
        public string TitleSrc { get; set; }
        public DateTime DateSrc { get; set; }
        public int? IdUserVerif { get; set; }
        public string NameUser { get; set; }
        public int? IdImg { get; set; }
        public string ImgPath { get; set; }

        public QuoteDTO(int id_quote,string content,int likes,string langue,bool isValide,string? reason,int? id_caracter,string name_charac,int? id_source,string title,DateTime date,int? id_user_verif,string name_user ,int? id_img,string img_path)
        {
            this.Id = id_quote;
            this.Content = content;
            this.Likes = likes;
            this.Langue = langue;
            this.IsValide = isValide;
            this.Reason = reason;
            this.IdCaracter = id_caracter;
            this.NameCharac = name_charac;
            this.IdSource = id_source;
            this.TitleSrc = title;
            this.DateSrc = date;
            this.IdUserVerif = id_user_verif;
            this.NameUser = name_user;
            this.IdImg = id_img;
            this.ImgPath =img_path;
    }
    }
}
