﻿using System.ComponentModel.DataAnnotations;

namespace WF_WebAdmin.Model
{
    public class QuoteModel
    {
        public int Id { get; set; }

        [Required]
        [StringLength(300, ErrorMessage = "La citation ne peut pas dépasser les 300 caractère.")]
        public string Content { get; set; }

        public int Like { get; set; }

        [Required]
        [StringLength(2, ErrorMessage = "La langue ne peut pas dépasser 2 caractère.")]
        public string Langue { get; set; }


        public string Charac { get; set; }
        public string ImgPath { get; set; }
        public string TitleSrc { get; set; }
        public DateTime DateSrc { get; set; }
        public string UserProposition { get; set; }
        public bool IsValid { get; set; }
    }
}
