using WF_WebAdmin.Model;

namespace WF_WebAdmin.Service
{
    public interface IQuizService
    {
        public Task addQuiz(Quiz quiz);
        
        public Task updateQuiz(Quiz quiz);
        
        public Task removeQuiz(int id);
        
        public Task validateQuiz(int id);

        public Task<List<Quiz>> getQuizzes();

        public Task<List<Quiz>> getQuizzesToValidate();

        public Task<Quiz> getQuiz(int id);

        public Task<List<Quiz>> getSommeQuiz(int nb, int page);

        public Task<int> getNbQuiz();
    }
}
    