﻿using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Configuration.UserSecrets;
using Microsoft.Extensions.Logging;
using Microsoft.VisualBasic;
using System;
using System.Diagnostics;
using System.Security.Claims;
using WF_WebAdmin.Pages;
using WF_WebAdmin.Service;

namespace WF_WebAdmin.Model
{
    public static partial class LoggerSaveStub
    {
        public static void Log(ILogger logs,LogLevel logLevel,string message)
        {

            ILogsService logsService = new LogsServiceStub();
            logsService.addLogs( new Logs( logLevel , message ) );

            logs.Log(logLevel, message );
        }
    }
}

/* 
[Inject]
public ILogger< Class > Logger { get; set; }
 
LoggerSaveStub.Log(Logger,LogLevel. level  , message );


LogLevel:
Trace = 0,
Debug = 1,
Information = 2,
Warning = 3,
Error = 4,
Critical = 5,
None = 6,
*/