﻿using System.ComponentModel.DataAnnotations;

namespace WF_WebAdmin.Model
{
    public class QuizModel
    {
        [Required]
        [StringLength(200, ErrorMessage = "La question ne peut pas depasser les 200 caractère.")]
        public string Question { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerA { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerB { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerC { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "La réponse ne peut pas depasser les 50 caractère.")]
        public string AnswerD { get; set; }

        [Required]
        public string CAnswer { get; set; }
    }
}
