﻿namespace WF_WebAdmin.Model
{
    public class User
    {
        public int Id { get; set; }
        public string Image {  get; set; }
        public string Name { get; set; }
        public string Email { get; set; }
        public DateTime DateCreation { get; set; }

        public Boolean IsAdmin { get; set; }

        public List<Commentary> Comments { get; set; }

        public User(string image, string name, string email, DateTime dateCreation, bool isAdmin)
        {
            this.Image = image;
            this.Name = name;
            this.Email = email;
            this.DateCreation = dateCreation;
            IsAdmin = isAdmin;
        }

        public User() { }
    }
}
